Subject: bug#21695: 25.0.50; Change most occurrences of `setq' in Emacs manual to `customize-set-variable'? Really?

From: Richard Stallman <[email-masked]>
Date: Wed, 08 Sep 2021 23:11:33 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > 1. Get the list of variables that use :set.
  > > 
  > > 2. For each of those variables, see if it is used in any source file
  > > other than the one that contains the defcustom.  A script can do this.

  > "Any source file" should include all the Lisp files installed on the
  > user's machine, right?

I don't think so.  There is no need.

To make language clearer, let's say the variable is foofoo, its defcustom
is in foofoo.el, and all its other uses in Emacs are in foofoo.el 
after the defcustom.

That option doesn't have any problems, I think.

Setting it with (setq foofoo ...) is something that should work
in .emacs.  But we don't say it will work in Lisp code in general.
To do that, the user has to look up the right way to set it and do it that way.

So I think what I proposed is correct.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)